BBG - Feature #17

ESS - Fungsi Save Retro dan Correction
11/19/2020 10:51 AM - Aden Baihagqi

Status: Closed Start date: 11/19/2020
Priority: High Due date:

Assignee: fahmy ardiman % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Deyv,

Tolong buatkan Fungsi Retro dan Correction di ESS OT, Travel, Medical

Caranya:

Bandingkan tanggal pada Start Date data pengajuan dengan payroll control. Jika tgl tsb </= bulan payment upto, cek apakah di
PHRPAO0015 karyawan tsb ada tanggal retro, jika ada bandingkan tgl pengajuan dgn tgl tersebut. Jika tgl pengajuan lebih awal dari
tgl retro yg sudah ada, maka update tgl tsb. Jika lebih akhir, abaikan tgl nya. Jika tidak ada tanggal terisi, maka langsung save.
Jika tgl tersebut periode bulannya = periode payroll control, maka tdk perlu update data.

Tks

Tks

History

#1 - 11/23/2020 04:21 PM - Heriyas Nafward

- Status changed from New to Assigned

#2 - 11/27/2020 05:59 AM - Aden Baihaqi

- Status changed from Assigned to Developing

#3 - 11/27/2020 06:00 AM - Aden Baihaqi
- Status changed from Developing to QA Test

- Assignee changed from fahmy ardiman to Anonymous

#4 - 11/30/2020 05:27 PM - Aden Baihagqi
- File ESS Overtime 30 Nove 2020.xIsx added
- Status changed from QA Test to Revise

- Assignee changed from Anonymous to fahmy ardiman

Terlampir hasil test

#5 - 12/01/2020 06:10 AM - Aden Baihaqi
- Status changed from Revise to QA Test

- Assignee changed from fahmy ardiman to Anonymous

#6 - 12/16/2020 03:11 PM - Aden Baihagqi
- Status changed from QA Test to Revise

- Assignee changed from Anonymous to fahmy ardiman

Tinggal yg travel belum

#7 - 12/17/2020 10:06 AM - Aden Baihaqi

- Status changed from Revise to Deploy

Done 3 ESS
#8 - 12/17/2020 12:42 PM - Aden Baihaqi

- Status changed from Deploy to Closed

Done deploy client utk semua settingan dan beberapa fungsi Dev:
Dear mang Aden,

Berikut Update Fungsi Retro dan Correction di ESS OT, Travel, Medical.
Update ada di DB dengan table sebagai berikut:

PCMWFCUSTPARAM : ID = 'CondOTSaveMD15Q", 'CondTVSaveMD15Q’, 'CondBNSaveMD15Q’
PCMWFDEFBIZPROC : BizProcessID = 'ESS_Overtime_AJTM', 'TRAVEL_AJTM', 'medical’
PCMWFDEFTASK : BizFlowID = 'MD_Overtime_AJTM', TRAVEL_AJTM', 'MDCL' (TaskID = 'cond_save_md15')

Demikian,
Terima Kasih.

Files

ESS Overtime 30 Nove 2020.xIsx 10.5 KB 11/30/2020 Aden Baihagi
